package com.xy.impl;

import com.xy.dto.SysRegionDto;
import com.xy.feign.SysRegionFeign;
import com.xy.utils.R;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@AllArgsConstructor
public class SysRegionServiceImpl implements SysRegionFeign {

    private SysRegionFeign sysRegionFeign;

    @Override
    public R<SysRegionDto.Vo> object(SysRegionDto.Vo vo) {
        return sysRegionFeign.object(vo);
    }

    @Override
    public R<List<SysRegionDto.Vo>> list(SysRegionDto.SelectList selectList) {
        return sysRegionFeign.list(selectList);
    }
}
